Subject: RE: iCalendar and XML

From: "NITSCH,FRANK (HP-Germany,ex1)" <[email-masked]>
Date: Tue, 22 May 2001 16:31:38 +0200

Hi David,

yes, it seems to be much work to implement a calendar server... ;-)
I'm also gathering information about calendaring and scheduling
since weeks. I guess it's hard work for one employee to implement
a calendar store. If you ever programmed a simple component that's
able to distinguish weekdays vs. weekend days, working time, etc.
you might have an idea about the complexity of all this. Implementing
the recurrence rules is something very special I think. That's the reason
why I'm looking for a solution that I can plug into my application and
just use it. Have you heard of the libical project? You can find the
web page and the code at http://www.softwarestudio.org/libical/.
They also maintain a mailing list btw.

Well, XML is something I had wished to find as well. I understand the
reasons why iCal RFCs aren't using XML (existing products already using
the "normal" format, historical reasons, vCalendar legacy,...).
Indeed the standard doesn't require XML. In my opinion it's more or less
independent from any representation. I'd say that the structure of today's
iCal data can be mapped very nicely into XML (attributes and tags).

I would appreciate if there was a XML DTD available and maintained.
XML gives developers so many good parsers and tools. It would
definitely help. I haven't looked yet at the DTD links you provided but
I will. I know that there've been some discussions about iCal and XML in the
past and unfortunately none of these resulted in anything really helpful.
I would be interested whether there are some other people around who are
interested in an XML DTD. If so why don't we just discuss how to get this
from the RFC? Maybe creating a tool that reads the RFC and generates a DTD
of it? I know that this might not be trivial but if there're enough
interested
people I might be worth doing it. I believe most people are more interested
in
having a DTD of iCal than to change the RFC's format into XML. As I said the
standard itself is more or less independent. Why don't we just try to
satisfy
both sides?

What do you think?

Best Regards

	Frank
--
====================================================================
Frank Nitsch                           mailto:[email-masked]
--------------------------------------------------------------------
Hewlett-Packard GmbH                 | http://www.hewlett-packard.de
Mailstop ASM-NGP, Building B32/3M17  | HP-Telnet         777-2135
Herrenberger Strasse 110-140         | Phone  (+49) 07031/14-2135
D-71034 Boeblingen                   | Fax    (+49) 07031/14-8253
====================================================================
Geschaeftsfuehrer: Heribert Schmitz (Vorsitzender), Hans-Jochen
Lueckefett, Heiko Meyer, Fritz Schuller, Regine Stachelhaus,
Juergen Banhardt, Vorsitzender des Aufsichtsrates: Joerg Menno Harms
Sitz der Gesellschaft: Boeblingen, Amtsgericht Boeblingen HRB 4081
====================================================================

> -----Original Message-----
> From: John Stracke [mailto:[email-masked]]
> Sent: Monday, 21 May, 2001 20:26
> To: [email-masked]
> Subject: Re: iCalendar and XML
> 
> 
> David King wrote:
> 
> > I've been tasked with implementing a calendar app in one of 
> my company's
> > products and am finding it to be a daunting experience.  
> After looking at
> > iCal for the first time, I was immediately confused on why 
> this hasn't moved
> > over to be an XML based format.
> 
> (a) Because it doesn't need to be.  It might be nice, but it 
> wouldn't really
> buy us any new expressiveness.  Syntax is easy; the hard part 
> is the schema.
> 
> (b) Because the early proponents of expressing iCalendar in 
> XML disagreed on
> whether it should permit free-form extensions, and the 
> working group moved on
> to more useful topics.
> 
> --
> /================================================================\
> |John Stracke    | http://www.ecal.com |My opinions are my own.  |
> |Chief Scientist |===============================================|
> |eCal Corp.      |Stupid, adj.: Losing $25 on the game and $50 on|
> [email-masked]|the instant replay.                            |
> \================================================================/
> 
> 
>